## libvdestack 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project("vdestack"
    DESCRIPTION "A network namespace as a library, i.e. Internet of Threads through Network Namespaces."
    HOMEPAGE_URL "https://github.com/rd235/libvdestack"
    VERSION 0.1.0
    LANGUAGES C)

include(GNUInstallDirs)
include(CheckIncludeFile)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")

set(CMAKE_REQUIRED_QUIET TRUE)
set(LIBS_REQUIRED vdeplug cap execs)
set(HEADERS_REQUIRED libvdeplug.h sys/capability.h execs.h)
set(PROJECT_PC_REQUIRES "vdeplug cap execs")

foreach(THISLIB IN LISTS LIBS_REQUIRED)
  find_library(LIB${THISLIB}_OK ${THISLIB})
  if(NOT LIB${THISLIB}_OK)
    message(FATAL_ERROR "library lib${THISLIB} not found")
  endif()
endforeach(THISLIB)

foreach(HEADER IN LISTS HEADERS_REQUIRED)
  check_include_file(${HEADER} ${HEADER}_OK)
  if(NOT ${HEADER}_OK)
    message(FATAL_ERROR "header file ${HEADER} not found")
  endif()
endforeach(HEADER)

add_definitions(-D_GNU_SOURCE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_library(vdestack SHARED vdestack.c)
target_link_libraries(vdestack -lcap -lexecs -lvdeplug)

set_target_properties(vdestack PROPERTIES VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR})

configure_file(vdestack.pc.in vdestack.pc @ONLY)

install(TARGETS vdestack DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES vdestack.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vdestack.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

add_subdirectory(man)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
libvdestack (0.1.0-2) unstable; urgency=medium

  * d/copyright: Fix manpages copyright

 -- Andrea Capriotti <capriott@debian.org>  Sun, 26 Apr 2020 11:23:46 +0200

libvdestack (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #948169)

 -- Renzo Davoli <renzo@cs.unibo.it>  Thu, 02 Jan 2020 11:12:38 +0100

=== debian/control ===
Source: libvdestack
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Andrea Capriotti <capriott@debian.org>, Renzo Davoli <renzo@cs.unibo.it>
Build-Depends: debhelper-compat (= 12), cmake (>= 3.12), libvdeplug-dev, libcap-dev, libexecs-dev
Standards-Version: 4.4.1
Section: libs
Homepage: http://wiki.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libvdestack
Vcs-Git: https://salsa.debian.org/virtualsquare-team/libvdestack.git

Package: libvdestack-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libvdestack0 (= ${binary:Version}), ${misc:Depends}
Description: network namespace as a library - development
 By libvdestack a program can use one (or even several) private networking
 protocol stack(s), thus a program can be assigned its own IP address(es),
 routing etc.
 .
 This package contains the library

Package: libvdestack0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libvdeplug2, libcap2, libexecs0
Description: network namespace as a library
 By libvdestack a program can use one (or even several) private networking
 protocol stack(s), thus a program can be assigned its own IP address(es),
 routing etc.
 .
 This package contains the development files for libvdestack

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_install:
	dh_auto_install --dest debian/tmp

## libvdestack 0.1.1

=== debian/changelog ===
libvdestack (0.1.1-1) unstable; urgency=medium

  * New Upstream Release
  * d/control: Bump Standard version to 4.5.1
  * d/control: Bump debhelper compatibility level to 13
  * d/control: Add Rules-Requires-Root
  * d/rules: Fix dh_auto_install syntax

 -- Andrea Capriotti <capriott@debian.org>  Fri, 08 Jan 2021 19:52:31 +0100

## libvdestack 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("vdestack"
     DESCRIPTION "A network namespace as a library, i.e. Internet of Threads through Network Namespaces."
     HOMEPAGE_URL "https://github.com/rd235/libvdestack"
-    VERSION 0.1.0
+    VERSION 0.1.2
     LANGUAGES C)
 
 include(GNUInstallDirs)
@@ -10,8 +10,8 @@
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")
 
 set(CMAKE_REQUIRED_QUIET TRUE)
-set(LIBS_REQUIRED vdeplug cap execs)
-set(HEADERS_REQUIRED libvdeplug.h sys/capability.h execs.h)
+set(LIBS_REQUIRED vdeplug cap execs pthread)
+set(HEADERS_REQUIRED libvdeplug.h sys/capability.h execs.h pthread.h)
 set(PROJECT_PC_REQUIRES "vdeplug cap execs")
 
 foreach(THISLIB IN LISTS LIBS_REQUIRED)
@@ -32,7 +32,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 add_library(vdestack SHARED vdestack.c)
-target_link_libraries(vdestack -lcap -lexecs -lvdeplug)
+target_link_libraries(vdestack -lcap -lexecs -lvdeplug -lpthread)
 
 set_target_properties(vdestack PROPERTIES VERSION ${PROJECT_VERSION}
         SOVERSION ${PROJECT_VERSION_MAJOR})

=== debian/changelog ===
libvdestack (0.1.2-1) unstable; urgency=medium

  * New Upstream Release: fix a race condition bug

 -- Renzo Davoli <renzo@cs.unibo.it>  Wed, 07 Jul 2021 18:27:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Priority: optional
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Andrea Capriotti <capriott@debian.org>, Renzo Davoli <renzo@cs.unibo.it>
-Build-Depends: debhelper-compat (= 12), cmake (>= 3.12), libvdeplug-dev, libcap-dev, libexecs-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), cmake (>= 3.12), libvdeplug-dev, libcap-dev, libexecs-dev
+Standards-Version: 4.5.1
 Section: libs
 Homepage: http://wiki.virtualsquare.org/
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libvdestack
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/libvdestack.git
+Rules-Requires-Root: no
 
 Package: libvdestack-dev
 Section: libdevel

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdestack-$1.tar.gz%" \
   https://github.com/rd235/libvdestack/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libvdestack 0.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("vdestack"
     DESCRIPTION "A network namespace as a library, i.e. Internet of Threads through Network Namespaces."
     HOMEPAGE_URL "https://github.com/rd235/libvdestack"
-    VERSION 0.1.2
+    VERSION 0.1.3
     LANGUAGES C)
 
 include(GNUInstallDirs)
@@ -32,7 +32,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 add_library(vdestack SHARED vdestack.c)
-target_link_libraries(vdestack -lcap -lexecs -lvdeplug -lpthread)
+target_link_libraries(vdestack cap execs vdeplug pthread)
 
 set_target_properties(vdestack PROPERTIES VERSION ${PROJECT_VERSION}
         SOVERSION ${PROJECT_VERSION_MAJOR})

=== debian/changelog ===
libvdestack (0.1.3-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:51:13 +0000

libvdestack (0.1.3-1build2) noble; urgency=medium

  * No-change rebuild against libvdeplug2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:00:02 +0000

libvdestack (0.1.3-1build1) mantic; urgency=medium

  * Rebuild against latest libexecs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Jul 2023 12:42:09 -0400

libvdestack (0.1.3-1) unstable; urgency=medium

  [ Renzo Davoli ]
  * New upstrem version 0.1.3.
    + libexecs 1.4 compatibility.
  * d/control:
    + Bump Standard version to 4.6,2
    + Delete explicit lib depends, covered by shlibs:Depends.

  [ Mattia Rizzolo ]
  * d/watch: drop unneeded uupdate call and filenamemangle option.

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 24 Jun 2023 09:58:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libvdestack
 Priority: optional
-Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Andrea Capriotti <capriott@debian.org>, Renzo Davoli <renzo@cs.unibo.it>
 Build-Depends: debhelper-compat (= 13), cmake (>= 3.12), libvdeplug-dev, libcap-dev, libexecs-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: http://wiki.virtualsquare.org/
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libvdestack
@@ -25,7 +26,7 @@
 Package: libvdestack0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libvdeplug2, libcap2, libexecs0
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: network namespace as a library
  By libvdestack a program can use one (or even several) private networking
  protocol stack(s), thus a program can be assigned its own IP address(es),

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,4 @@
 	dh $@
 
 override_dh_auto_install:
-	dh_auto_install --dest debian/tmp
+	dh_auto_install --destdir debian/tmp

## libvdestack 0.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.13)
 project("vdestack"
     DESCRIPTION "A network namespace as a library, i.e. Internet of Threads through Network Namespaces."
     HOMEPAGE_URL "https://github.com/rd235/libvdestack"
-    VERSION 0.1.3
+    VERSION 0.1.4
     LANGUAGES C)
 
 include(GNUInstallDirs)

=== man/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

set(PANDOC_ORG "VirtualSquare")

# ### pandoc pages

file(GLOB VU_PANDOC_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.[1-8].md)
set(VU_MAN_FILES)
foreach(VU_PANDOC_PATH IN LISTS VU_PANDOC_PAGES)
# VU_PANDOCPAGE: basename of VU_PANDOC_PATH
	get_filename_component(VU_PANDOCPAGE ${VU_PANDOC_PATH} NAME)
# VU_MANPAGE: VU_PANDOCPAGE without the suffix
	string(REGEX REPLACE "\.md$" "" VU_MANPAGE ${VU_PANDOCPAGE})
	list(APPEND VU_MAN_FILES ${VU_MANPAGE})
endforeach(VU_PANDOC_PATH)

add_custom_target(${PROJECT_NAME}_manpages ALL make PANDOC_ORG="${PANDOC_ORG}"  ${VU_MAN_FILES}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

### man pages
file(GLOB VU_MAN_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.[1-8])
foreach(VU_MAN_PATH IN LISTS VU_MAN_PAGES)
	get_filename_component(VU_MANPAGE ${VU_MAN_PATH} NAME)
	string(REGEX REPLACE ".*\\." "" MAN_CHAPTER ${VU_MANPAGE})
	install(FILES ${VU_MAN_PATH} DESTINATION ${CMAKE_INSTALL_MANDIR}/man${MAN_CHAPTER})
endforeach(VU_MAN_PATH)

=== debian/changelog ===
libvdestack (0.1.4-2) unstable; urgency=medium

  * Fix source only upload

 -- Andrea Capriotti <capriott@debian.org>  Fri, 19 Sep 2025 10:58:15 +0200

libvdestack (0.1.4-1) unstable; urgency=medium

  * New Upstream Release (Closes: #1097283)
  * Bump Standard version to 4.7.2
  * Update Debian copyright

 -- Andrea Capriotti <capriott@debian.org>  Thu, 18 Sep 2025 17:24:06 +0200

=== debian/watch ===
version=4

https://github.com/rd235/libvdestack/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
